The Open Group Base Specifications Issue 7
IEEE Std 1003.1-2008, 2016 Edition
Copyright © 2001-2016 The IEEE and The Open Group

#### NAME

> div - compute the quotient and remainder of an integer division

#### SYNOPSIS

> ``#include <stdlib.h>
> div_t div(int` numer`, int` denom`);
> ``

#### DESCRIPTION

> [CX] The functionality described on this reference page is aligned with the ISO C standard. Any conflict between the requirements described here and the ISO C standard is unintentional. This volume of POSIX.1-2008 defers to the ISO C standard.

> The div() function shall compute the quotient and remainder of the division of the numerator numer by the denominator denom. If the division is inexact, the resulting quotient is the integer of lesser magnitude that is the nearest to the algebraic quotient. If the result cannot be represented, the behavior is undefined; otherwise, quot* denom+ rem shall equal numer.

#### RETURN VALUE

> The div() function shall return a structure of type div_t, comprising both the quotient and the remainder. The structure includes the following members, in any order:

>     int  quot;  /* quotient */
>     int  rem;   /* remainder */

#### ERRORS

> No errors are defined.

The following sections are informative.

#### EXAMPLES

> None.

#### APPLICATION USAGE

> None.

#### RATIONALE

> None.

#### FUTURE DIRECTIONS

> None.

#### SEE ALSO

> ldiv

> XBD <stdlib.h>

#### CHANGE HISTORY

> First released in Issue 4. Derived from the ISO C standard.

End of informative text.

return to top of page

UNIX ® is a registered Trademark of The Open Group.
POSIX ® is a registered Trademark of The IEEE.
Copyright © 2001-2016 The IEEE and The Open Group, All Rights Reserved
[ Main Index | XBD | XSH | XCU | XRAT ]